﻿// ***********************************************************************
// Assembly         : DynamicClash.MHRK
// Author           : mariuroe
// Created          : 03-19-2014
//
// Last Modified By : mariuroe
// Last Modified On : 04-08-2014
// ***********************************************************************
// <copyright file="Status.cs">
//     Copyright (c) . All rights reserved.
// </copyright>
// <summary></summary>
// ***********************************************************************
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

/// <summary>
/// The DataModels namespace includes more primitive model classes, than the
/// Models namespace. It includes classes as Line3D, Clash3D, Path etc. The 
/// similarity with the differens datamodels are that they contains information
/// about data for use in the other models.
/// </summary>
namespace DynamicRelaxationClashVerification.Models.DataModels
{
    /// <summary>
    /// The Enum Status is used to show the current status for the current
    /// Dynamic Clash Verification instance.
    /// </summary>
    public enum Status
    {
        New,

        Optimized,

        Working,

        Finished,

        Cancelled,

        Failed
    }
}
