﻿using System.Windows.Forms.Integration;
using Autodesk.Navisworks.Api.Plugins;
using DynamicRelaxationClashVerification.View;

namespace DynamicRelaxationClashVerification.NavisworksPlugin
{
    #region DynamicRelaxationClashVerification

    [Plugin("DynamicClash.DynamicClashPlugin", "MHRK",
      DisplayName = "DynamicClashPlugin",
      ToolTip = "Dynamic Clash Docking Pane Plugin")]
   [DockPanePlugin(630, 500, FixedSize=true)]
   public class DynamicClashVerificationPlugin : DockPanePlugin
   {
      public override System.Windows.Forms.Control CreateControlPane()
      {
         //create an ElementHost
         ElementHost eh = new ElementHost();

         //assign the control
         eh.AutoSize = true;
         eh.Child = new ControlView();

         eh.CreateControl();

         //return the ElementHost
         return eh;
      }

      public override void DestroyControlPane(System.Windows.Forms.Control pane)
      {
         pane.Dispose();
      }
   }
   #endregion
}
